Support » Plugin: Business Directory Plugin - Directories for WordPress » Plugin could not be activated because it triggered a fatal error.

  • Resolved jgjh151

    (@jgjh151)


    Upgraded a client’s site to latest version of WP as well as all their plugins. This one is showing this error and can’t be activated.

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Can’t use method return value in write context in /home/content/47/8440947/html/domain.com/wp-content/plugins/_business-directory-plugin/includes/fields/class-fieldtypes-textarea.php on line 422

    Any ideas how to fix? Using php 5.4.

Viewing 1 replies (of 1 total)
  • Plugin Author businessdirectoryplugin

    (@businessdirectoryplugin)

    Hi @jgjh151,

    Sorry that you ran into issues here!

    The minimum supported version of PHP for Business Directory Plugin is 5.6, which we state on the page here: https://wordpress.org/plugins/business-directory-plugin/

    I would contact your host and request to upgrade to PHP 5.6 ASAP. WordPress itself has a minimum required version of WP right now and that’s PHP 5.6 as well.

    I suspect that is the cause of the issue here.

    Try that and let me know if you run into more issues.

Viewing 1 replies (of 1 total)
  • The topic ‘Plugin could not be activated because it triggered a fatal error.’ is closed to new replies.